Simulate an index template

  • POST /_index_template/_simulate/{name}
  • POST /_index_template/_simulate
Auth

Get the index configuration that would be applied by a particular index template.

Required privileges

Cluster privileges manage_index_templates

Path parameters

name string optional

Name of the index template to simulate. To test a template configuration before you add it to the cluster, omit this parameter and specify the template configuration in the request body.

Leave it out to use /_index_template/_simulate.

Query parameters

create boolean · default: false

If true, the template passed in the body is only used if no existing templates match the same index patterns. If false, the simulation uses the template with the highest priority. Note that the template is not permanently added or updated in either case; it is only used for the simulation.

cause string · default: false

User defined reason for dry-run creating the new template for simulation purposes

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
include_defaults boolean · default: false

If true, returns all relevant default configurations for the index template.

Request body

allow_auto_create boolean

This setting overrides the value of the action.auto_create_index cluster setting. If set to true in a template, then indices can be automatically created using that template even if auto-creation of indices is disabled via actions.auto_create_index. If set to false, then indices or data streams matching the template must always be explicitly created, and may never be automatically created.

index_patterns union oneOf

Array of wildcard (*) expressions used to match the names of data streams and indices during creation.

One of: string[] or string
composed_of string[]

An ordered list of component template names. Component templates are merged in the order specified, meaning that the last component template specified has the highest precedence.

priority number

Priority to determine index template precedence when a new data stream or index is created. The index template with the highest priority is chosen. If no priority is specified the template is treated as though it is of priority 0 (lowest priority). This number is not automatically generated by Elasticsearch.

version number

Version number used to manage index templates externally. This number is not automatically generated by Elasticsearch.

_meta object

Optional user metadata about the index template. May have any contents. This map is not automatically generated by Elasticsearch.

ignore_missing_component_templates string[]

The configuration option ignore_missing_component_templates can be used when an index template references a component template that might not exist

deprecated boolean

Marks this index template as deprecated. When creating or updating a non-deprecated index template that uses deprecated components, Elasticsearch will emit a deprecation warning.

Response

application/json
template object required
aliases map string to object required
<string> object
filter {} Query

Query used to limit documents the alias can access.

index_routing string

Value used to route indexing operations to a specific shard. If specified, this overwrites the routing value for indexing operations.

is_hidden boolean · default: false

If true, the alias is hidden. All indices for the alias must have the same is_hidden value.

is_write_index boolean · default: false

If true, the index is the write index for the alias.

routing string

Value used to route indexing and search operations to a specific shard.

search_routing string

Value used to route search operations to a specific shard. If specified, this overwrites the routing value for search operations.

mappings object required
Same fields as mappings in template
settings object required
Same fields as settings in template